Package com.oracle.truffle.api.nodes

## Class SlowPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.oracle.truffle.api.nodes.SlowPathException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `FinalLocationException`, `FrameSlotTypeException`, `IncompatibleLocationException`, `InvalidAssumptionException`, `UnexpectedResultException`

    public class SlowPathException
    extends java.lang.Exception

An exception thrown to enter a slow path. The Truffle optimizer has special knowledge of this exception class and will never compile a catch block that catches this exception type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SlowPathException()` Creates an exception thrown to enter a slow path.
`SlowPathException​(java.lang.String message)` Creates an exception thrown to enter a slow path.
`SlowPathException​(java.lang.String message, java.lang.Throwable cause)` Creates an exception thrown to enter a slow path.
`SlowPathException​(java.lang.Throwable cause)` Creates an exception thrown to enter a slow path.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `fillInStackTrace()` For performance reasons, this exception does not record any stack trace information.

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SlowPathException

    public SlowPathException()

Creates an exception thrown to enter a slow path.

#### SlowPathException

    public SlowPathException​(java.lang.String message,
                             java.lang.Throwable cause)

Creates an exception thrown to enter a slow path.

#### SlowPathException

    public SlowPathException​(java.lang.String message)

Creates an exception thrown to enter a slow path.

#### SlowPathException

    public SlowPathException​(java.lang.Throwable cause)

Creates an exception thrown to enter a slow path.

### Method Detail

#### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

For performance reasons, this exception does not record any stack trace information.

Overrides:
  `fillInStackTrace` in class `java.lang.Throwable`